import graph;
size(300,0);
real f(real x) {return tan(x);}
pair F(real x) {return (x,f(x));}
// We trick asymptote by using the minor ticks so no labels are created.
xaxis("$x$",-7,7,Ticks(Label(fontsize(10)),new real[]{},ticks=new real[]{-6.28,-4.71,-3.14,-1.57,1.57,3.14,4.71,6.28},size=3),Arrow(HookHead,size=4));
yaxis(shift(-8,-7)*Label("$y$",align=N),-3,3,Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Step=1,Label(fontsize(10)),OmitFormat(0),OmitTick(-3,3)));
draw(graph(f,-1.2,1.2,operator ..),red+2);
draw(graph(f,1.94,4.34,operator ..),red+2);
draw(graph(f,5.08,7,operator ..),red+2);
draw(graph(f,-1.2,1.2,operator ..),red+2);
draw(graph(f,-4.34,-1.94,operator ..),red+2);
draw(graph(f,-7,-5.08,operator ..),red+2);
label("$f(x)=\tan\,x$",(4.7,1.5),E);
xequals(1.57,ymin=0,ymax=2.5,dashed);
xequals(4.71,ymin=0,ymax=2.5,dashed);
xequals(-1.57,ymin=0,ymax=2.5,dashed);
xequals(-4.71,ymin=0,ymax=2.5,dashed);
xequals(1.57,ymin=-2.5,ymax=-.85,dashed);
xequals(4.71,ymin=-2.5,ymax=-.85,dashed);
xequals(-1.57,ymin=-2.5,ymax=-.85,dashed);
xequals(-4.71,ymin=-2.5,ymax=-.85,dashed);
labelx(1.57,L=Label("$\frac{\pi}{2}$",fontsize(10)),S);
labelx(3.14,L=Label("$\pi$",fontsize(10)),S);
labelx(4.71,L=Label("$\frac{3\pi}{2}$",fontsize(10)),S);
labelx(6.28,L=Label("$2\pi$",fontsize(10)),S);
labelx(-1.57,L=Label("$-\frac{\pi}{2}$",fontsize(10)),S);
labelx(-3.14,L=Label("$-\pi$",fontsize(10)),S);
labelx(-4.71,L=Label("$-\frac{3\pi}{2}$",fontsize(10)),S);
labelx(-6.28,L=Label("$-2\pi$",fontsize(10)),S);
