// This imports our locally defined custom asymptote functions
import localcalculus;
size(300,150,IgnoreAspect);
real low=.5, high=7.5;
real f(real x) {return sin(x);}
pair F(real x) {return (x,f(x));}
drawfunc(f,0.1,low,drawpen=red+dashed,fillpen=invisible);
drawfunc(f,high+.5,.9,drawpen=red+dashed,fillpen=invisible);
drawfunc(f,low,3.14,drawpen=red+1,fillpen=palered);
drawfunc(f,3.14,6.28,drawpen=red+1,fillpen=paleblue);
drawfunc(f,6.28,high,drawpen=red+1,fillpen=palered);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4));
real d=.03;
label("$a$", (low,-d),S);
label("$b$", (high,-d),S);
xequals(low,ymin=-.03,ymax=f(low),dashed);
xequals(high,ymin=-.03,ymax=f(high),dashed);
label("$\displaystyle\int_a^bf(x)\,dx=A_1-A_2+A_3$", ((low+high)/2+.7,.65),N);
label("$y=f(x)$", F(3.5),SW);
label("$A_1$", (1.6,.25),N);
label("$A_2$", (4.7,-.3),S);
label("$A_3$", (7.1,.25),N);
