import graph;
size(150,200,IgnoreAspect);
real g(real x) {return 3x;}
pair G(real x) {return (x,g(x));}
real h(real x) {return x^3+2;}
pair H(real x) {return (x,h(x));}
real f(real x) {return 0.4*(x^3+2-3x)*sin(12*x)+(x^3+2+3x)*0.5;}
pair F(real x) {return (x,f(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(2),OmitTick(0)));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(1,2,4,5,6),OmitTick(0,7)));
draw(graph(f,0,1.7,operator ..),purple+1);
draw(graph(g,0,1.7,operator ..),blue+1);
draw(graph(h,0,1.7,operator ..),red+1);
xequals(1,ymin=0,ymax=g(1),dashed);
yequals(g(1),xmin=0,xmax=1,dashed);
//labely("L=",5,W);
label("$f(x)$",F(1.6),E);
label("$g(x)=3x$",G(1.6),SE);
label("$h(x)=x^3+2$",H(1.67),W);
//label("$\displaystyle\lim_{x\rightarrow2}x=2$",(2.2,1.6),E);
//dot(F(1),4+black);
//dot((2,5),L=Label("$(2,5)$",align=NW),6+black);
//label(Label("$f(-2)$",fontsize(8)),(0,4),E);
